Subject: Re: next-20080808: bash: fork: Resource temporarily unavailable

From: David Howells <[email-masked]>
Date: Sun, 10 Aug 2008 12:31:52 +0100

Grant Wilson <[email-masked]> wrote:

> On Sun, 10 Aug 2008 10:45:39 +0100
> David Howells <[email-masked]> wrote:
> 
> [snip]
> > 
> > Are you running as an unprivileged user?  If so, this may be the point
> > that's biting you.  Can you try applying the attached patch to find more
> > information?
> [snip]
> I'm also experiencing this on an X86_64 system as an unprivileged user.

Thanks for your help.

> With your patch applied I get the following repeated several times
> during the boot, but with no apparent ill effects:
> 
> [   31.033195] copy_process() = -513 

That's probably nothing to worry about.  It -ERESTARTNOINTR, indicating, I
would guess, that fork() was interrupted by a signal.

> When the fork call starts to fail after a few minutes the following is logged:
> 
> [  223.039938] Rlimit EAGAIN (-1 >= 16375, uid 1000)
> [  223.044744] copy_process() = -11
> [  226.660319] Rlimit EAGAIN (-1 >= 16375, uid 1000)
> [  226.664166] copy_process() = -11

Okay.  That's useful, thanks.  That indicates that my accounting of user
processes is incorrect somewhere.  This won't show up when running as a
privileged user only.

David